#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD = setup.py

install/python-gasp::
	rm -rf debian/python-gasp/usr/lib/python*/site-packages/gasp*egg-info/requires.txt

.PHONY: get-orig-source
get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([^-]+).*,\1,p'); \
        VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
        if [ x$$REV = x ]; then \
         uscan --force-download --rename --repack --download-version=$$VER --destdir=.; \
        else \
	 bzr export -r $$REV python-gasp_$$VER.orig.tar.gz lp:gasp-core; \
        fi
